<?php
/**
 * Recommended plugins
 *
 * @package blog-town
 */

if ( ! function_exists( 'blog_town_recommended_plugins' ) ) :

    /**
     * Recommend plugins.
     *
     * @since 1.0.0
     */
    function blog_town_recommended_plugins() {

        $plugins = array(              
          
            array(
                'name'     => esc_html__( 'Responsive Accordion Slider', 'blog-town' ),
                'slug'     => 'responsive-accordion-slider',
                'required' => false,
            ),
            array(
                'name'     => esc_html__( 'Contact Form 7', 'blog-town' ),
                'slug'     => 'contact-form-7',
                'required' => false,
            )
        );

        tgmpa( $plugins );

    }

endif;

add_action( 'tgmpa_register', 'blog_town_recommended_plugins' );